Bug 235768 - graphics/libwmf: Take maintainership
Summary: graphics/libwmf: Take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19392
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-15 22:25 UTC by Lorenzo Salvadore
Modified: 2019-02-28 12:22 UTC (History)
2 users (show)

See Also:


Attachments
libwmf adoption patch (1.21 KB, patch)
2019-02-15 22:25 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
libwmf adoption patch - correction 1 (33.24 KB, patch)
2019-02-17 11:07 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
libwmf adoption patch - correction 2 (1.01 KB, patch)
2019-02-22 11:10 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2019-02-15 22:25:09 UTC
Created attachment 202053 [details]
libwmf adoption patch

I would like to take maintainership for this port. My patch also reorders some variables more consistently with the official order.

Tested successfully with poudriere on 12.0-RELEASE amd64.
Comment 1 Jochen Neumeister freebsd_committer 2019-02-17 09:10:33 UTC
Hi,

bump PORTREVISION is not needed here. 

But have a look at "portlint -AC":


% portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: "USES" has to appear earlier.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CAN-2004-0941: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-cve-2006-3376: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2007-0455: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2007-2756: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2007-3472: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2007-3473: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2007-3477: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-cve-2009-1364: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-CVE-2009-3546: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-deb784192-CVE-2015-4696: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-deb784205-CVE-2015-4695: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-gd_png.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-rh1227243-CVE-2015-0848: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /usr/home/joneum/dev/ports/graphics/libwmf/files/patch-rh1227243-CVE-2015-4588: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
0 fatal errors and 17 warnings found.
Comment 2 Lorenzo Salvadore 2019-02-17 11:07:06 UTC
Created attachment 202091 [details]
libwmf adoption patch - correction 1

Thanks for the suggestions.
I removed PORTREVISION bump and converted the patches in the standard format.

I tested successfully with poudriere on 12.0-RELEASE amd64.
Comment 3 Jochen Neumeister freebsd_committer 2019-02-21 05:49:53 UTC
Hi Lorenzo,

thx for the new patch. The Problem is here the path: /usr/local/poudriere/ports/official/graphics/libwmf/Makefile	

I do not have this path. Could you create a patch that makes it possible to load it?
Comment 4 Jochen Neumeister freebsd_committer 2019-02-21 05:52:37 UTC
https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html#porting-submitting-diff

> svn diff games / oneko> oneko.diff

This point refers to new ports. Is also very good for the update of a port.
Comment 5 Lorenzo Salvadore 2019-02-22 11:10:47 UTC
Created attachment 202259 [details]
libwmf adoption patch - correction 2

Hi.

I remade the patch as you suggested. Does it work better now?
Comment 6 Kai Knoblich freebsd_committer 2019-02-27 19:40:05 UTC
Taking over on request from Jochen.
Comment 7 commit-hook freebsd_committer 2019-02-28 12:21:07 UTC
A commit references this bug:

Author: kai
Date: Thu Feb 28 12:20:05 UTC 2019
New revision: 494146
URL: https://svnweb.freebsd.org/changeset/ports/494146

Log:
  graphics/libwmf: Pass maintainership to submitter

  - Also sort some variables according to the PHB

  PR:		235768
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19392

Changes:
  head/graphics/libwmf/Makefile
Comment 8 Kai Knoblich freebsd_committer 2019-02-28 12:22:56 UTC
Committed, thank you for the patch and taking maintainership!